/*CopyRright (c)2014: <www.usoftchina.com>
 */
package com.uas.search.console.b2b.model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 企业信息
 * 
 * @author sunyj
 * @since 2016年10月14日 上午10:55:23
 */
@Entity
@Table(name = "SEC$ENTERPRISES")
public class EnterpriseSimpleInfo implements Serializable {

	/**
	 * 序列号
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@Column(name = "en_uu")
	private Long uu;

	/**
	 * 公司名称
	 */
	@Column(name = "en_name")
	private String enName;

	/**
	 * 公司简称
	 */
	@Column(name = "en_shortname")
	private String shortName;

	/**
	 * 公司名称
	 */
	@Column(name = "en_address")
	private String enAddress;

	/**
	 * 公司营业执照号
	 */
	@Column(name = "en_businesscode")
	private String businessCode;

	/**
	 * 行业
	 */
	@Column(name = "en_profession")
	private String profession;

	/**
	 * 主营业务
	 */
	@Column(name = "en_tags")
	private String tags;

	public Long getUu() {
		return uu;
	}

	public void setUu(Long uu) {
		this.uu = uu;
	}

	public String getEnName() {
		return enName;
	}

	public void setEnName(String enName) {
		this.enName = enName;
	}

	public String getShortName() {
		return shortName;
	}

	public void setShortName(String shortName) {
		this.shortName = shortName;
	}

	public String getEnAddress() {
		return enAddress;
	}

	public void setEnAddress(String enAddress) {
		this.enAddress = enAddress;
	}

	public String getBusinessCode() {
		return businessCode;
	}

	public void setBusinessCode(String businessCode) {
		this.businessCode = businessCode;
	}

	public String getProfession() {
		return profession;
	}

	public void setProfession(String profession) {
		this.profession = profession;
	}

	public String getTags() {
		return tags;
	}

	public void setTags(String tags) {
		this.tags = tags;
	}

	@Override
	public String toString() {
		return "EnterpriseSimpleInfo [uu=" + uu + ", enName=" + enName + ", shortName=" + shortName + ", enAddress="
				+ enAddress + ", businessCode=" + businessCode + ", profession=" + profession + ", tags=" + tags + "]";
	}

}
